View Issue Details

IDProjectCategoryView StatusLast Update
0017162MediaMonkey for AndroidSynchronizationpublic2020-12-18 20:30
Reportermartin Assigned To 
PriorityhighSeverityminorReproducibilityN/A
Status closedResolutionfixed 
PlatformAndroidOS-OS Versionall
Product Version1.4.2 
Target Version1.4.2Fixed in Version1.4.2 
Summary0017162: Mounted storage notification can be annoying
DescriptionMounted storage: /storage/26AA-18B1
Scan for updated media files?
[Check][Postpone]

This is a notification that appears when storage is mounted.
The data on storage should be checked because there can be new/deleted tracks.
Scan action can take some time, so a user has the option "Postpone" this operation.
Originally reported as 0015831
TagsNo tags attached.
Fixed in build939

Relationships

related to 0015831 closedmartin Scanning: "preparing" notification after each reboot can last more than hour (library scan) 

Activities

martin

2020-12-02 16:48

developer   ~0060502

Last edited: 2020-12-02 16:48

View 2 revisions

This notification is useful when storage is mounted and data was changed (usually is not visible too often).
Maybe battery saver and power optimization unmount/mount the storage when phone screen off/on as Rusty noted in 0015831:0054364.

I suggest creating a special notification channel to be possible to turn off it simply.

channel_name "Storage changes"
channel_name_description "Notification when external storage is mounted"

peke

2020-12-02 18:47

developer   ~0060505

I would not change to be able to completely turn it off, but rather make mounting handled bit differently.

eg. when MMA have access to SDCards/external storage it saves small info in storage info.xml with available size for Storage on Device shutdown if possible. so next time Device start and/or MMA gets storrage connected it can be easily compared with added some buffer of 30Mb difference and not show that dialog?

martin

2020-12-02 19:20

developer   ~0060506

It sounds great to me.
So e.g if used space on storage is not changed, then dialog will not be shown.

peke

2020-12-02 19:35

developer   ~0060507

So, if i got this correctly notification will be shown if Storageinfo.xml is missing and free space differs much, otherwise it is assumed no changes happened?

Could that be also used to cover USB OTG that changes storage IDs on mounting and that we just use ID from storageinfo.xml? It would help a lot for such devices like mu Car head-unit infotainment that have 3 USB ports which mount with significant delay.

martin

2020-12-03 10:41

developer   ~0060524

I will not use Storageinfo.xml, it uses MMW and I don't want to modify it.
The purpose of this notification is to avoid starting an MMA service when it's not necessary.
Often when this event is received MMA is inactive and processing of this event must be simple and quick because is processed on UI thread.
All info that MMA receives is the root folder of mounted storage.

So MMA will store stats to preferences, where MMA has always access, after each MediaStore sync in the format:
rootFolder: FreeSpace

Tested and working well.
 
What do you mean that USB OTG changes storage IDs?
If you have e.g flash disc and plug into a different USB, then ID is changed? Or also when you use the same port?
MMA has to respect an actual storage ID to access tracks.
This looks to me like a different issue, maybe you can describe it in more detail and create an issue for it (target > 2.0)

martin

2020-12-03 10:41

developer   ~0060525

Fixed in build 1.4.2.939

peke

2020-12-04 03:17

developer   ~0060547

Last edited: 2020-12-04 03:18

View 2 revisions

Verified 939

Not reported anymore on SDcard. As pointed works very well

Left resolved till tested with OTG drives bit more next week or so.

peke

2020-12-18 20:30

developer   ~0060928

Verified 939, 941

All working Ok now. much better